Package wx :: Module richtext :: Class RichTextEvent

[frames | no frames]

## Type RichTextEvent

    object --+
             |
        Object --+
                 |
             Event --+
                     |
          CommandEvent --+
                         |
               NotifyEvent --+
                             |
                            RichTextEvent

Proxy of C++ RichTextEvent class

Method Summary
NotifyEvent | ``__init__`(self, commandType, winid)` An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening.
int | `GetFlags(self)`
int | `GetPosition(self)`
| `SetFlags(self, flags)`
| `SetPosition(self, n)`

Property Summary
| `Flags`: See `GetFlags` and `SetFlags`
| `Index`: See `GetPosition` and `SetPosition`
| `thisown`: The membership flag

Method Details

### __init__(self, commandType=wxEVT_NULL, winid=0)
(Constructor)

An instance of this class (or one of its derived classes) is sent from a control when the control's state is being changed and the control allows that change to be prevented from happening. The event handler can call `Veto` or `Allow` to tell the control what to do.

  Parameters:
    `commandType`
    (type=EventType)

    `winid`
    (type=int)

  Returns:
    NotifyEvent
  Overrides:
    `wx.NotifyEvent.__init__` (inherited documentation)

Property Details

### Flags

See `GetFlags` and `SetFlags`

  Get Method:
    `GetFlags`(self)
  Set Method:
    `SetFlags`(self, flags)

### Index

See `GetPosition` and `SetPosition`

  Get Method:
    `GetPosition`(self)
  Set Method:
    `SetPosition`(self, n)

### thisown

The membership flag

  Get Method:
    unknown--1272699652(...)
  Set Method:
    unknown--1272699596(...)

Generated by Epydoc 2.1.20050511.rpd on Thu Mar 22 12:11:19 2007 | http://epydoc.sf.net